## nitpic 0.1

=== debian/changelog ===
nitpic (0.1-25build1) resolute; urgency=medium

  * No-change rebuild for sframe soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Jan 2026 12:32:45 +0100

nitpic (0.1-25) unstable; urgency=medium

  * QA upload.
  * Maintain in Debian team on Salsa
  * Add Homepage
  * Standards-Version: 4.7.3 (routine-update)
  * d/rules: Short dh
  * Depends: ${misc:Depends}
  * d/copyright: review
  * Remove unused lintian-overrides
  * Permit failure of blhc in Salsa CI

 -- Andreas Tille <tille@debian.org>  Wed, 24 Dec 2025 23:09:23 +0100

nitpic (0.1-24) unstable; urgency=medium

  * QA upload.
  * Link libsframe dynamically, no need to link statically.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Oct 2025 09:16:48 +0200

nitpic (0.1-23) unstable; urgency=medium

  * QA upload.
  * Add explicit build dependency on libsframe-dev. Closes: #1097469.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 08:44:05 +0200

nitpic (0.1-22) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC 15. (Closes: #1097469)

 -- Adrian Bunk <bunk@debian.org>  Tue, 21 Oct 2025 16:59:36 +0300

nitpic (0.1-21) unstable; urgency=medium

  * QA upload.
  * Remove changelog.orig file.
  * d/copyright: Convert to machine-readable format.

  [ Vagrant Cascadian ]
  * Pass -ffile-prefix-map to make via CCOPTIONS variable
    to avoid embedding build path. (Closes: #1021473)

 -- Bastian Germann <bage@debian.org>  Wed, 19 Mar 2025 23:12:07 +0100

nitpic (0.1-20) unstable; urgency=medium

  * QA upload.
  * Support building without (fake)root.

 -- Niels Thykier <niels@thykier.net>  Fri, 08 Nov 2024 08:56:37 +0000

nitpic (0.1-19) unstable; urgency=medium

  * QA upload.
  * Fixup last upload, add explicitly a libzstd-dev dependency, because of the
    new lzstd link flag.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Jan 2023 10:58:13 +0100

nitpic (0.1-18) unstable; urgency=low

  * QA upload.
  * Adapt to binutils 2.40. (Closes: #1026536)

 -- Adrian Bunk <bunk@debian.org>  Wed, 18 Jan 2023 17:09:17 +0200

nitpic (0.1-17) unstable; urgency=medium

  * QA upload.
  * Mark source format as 3.0
    - Import diff in quilt format.
  * Update Standards-Version to 4.5.0
    - Update priority to optional.
  * Fix FTBFS with binutils. (Closes: #951885)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 04 Mar 2020 20:37:21 +0000

nitpic (0.1-16) unstable; urgency=medium

  * QA upload
  * debian/rules:
    - add flag -n to invocations of gzip in order to avoid timestamps.
      Thanks to Chris Lamb for the patch! (closes: #777492)
    - Fix mtimes before building binary packages to produce reproducible
      output. Thanks to Maria Valentina Marin for the patch! (closes: #793708)

 -- Ralf Treinen <treinen@debian.org>  Mon, 10 Aug 2015 15:33:36 +0200

nitpic (0.1-15) unstable; urgency=medium

  * QA upload.
  * Build-depend on libiberty-dev (Closes: #730935).
  * Keep nitpic executable

 -- David Prévot <taffit@debian.org>  Sat, 21 Dec 2013 20:25:18 -0400

nitpic (0.1-14) unstable; urgency=low

  * QA upload.
  * Imakefile: Explicitly link against -ldl to fix underlinking FTBFS with
    --no-copy-dt-needed-entries (thanks, Logan Rosen).

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 May 2013 20:56:37 +0100

nitpic (0.1-13) unstable; urgency=low

  * QA upload.
  * Link statically against binutils libraries (Closes: #648043). As a
    consequence, we also need to link against zlib.
  * Drop ancient prerm script from /usr/doc transition.
  * Add build-indep and build-arch targets to debian/rules.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 08 Nov 2011 18:32:40 +0100

nitpic (0.1-12) unstable; urgency=low

  * QA upload.
  * Fix "ftbfs with gcc-4.5": apply patch from Colin Watson / Ubuntu:
    - Anonymous structs are not conformant C++.  Give W a struct name so 
      that its linkage works.
    Closes: #565088
    LP: #756188
  * Set Maintainer to Debian QA Group <packages@qa.debian.org>.
    Closes: #552751 (cf. #629605)

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Sep 2011 22:12:48 +0200

nitpic (0.1-11.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed bashism in debian/rules (patch by Chris Lamb) (closes: #484417).
  * Changed build dependency on obsolete xutils to xutils-dev.

 -- Peter Eisentraut <petere@debian.org>  Wed, 09 Jul 2008 10:54:05 +0200

nitpic (0.1-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adding conditional for nostrip, according to Policy 10.1 (Closes: #437637)
  * Updated Standards-Version to 3.7.3.

 -- Jose Parrella <bureado@debian.org>  Mon, 07 Apr 2008 09:47:03 -0430

nitpic (0.1-11) unstable; urgency=high

  * Fixed FTBFS: build-depends on removed xlibs-deV (closes: #347138).
 
 -- Ernesto Nadir Crespo Avila <ecrespo@debianvenezuela.org>  Fri, 20 Jan 2006 21:55:21 -0400

nitpic (0.1-10) unstable; urgency=low
  
  * Fixed Missing shared lib dependencies (closes: #103449, #130645, #171284).
  * Fixed package description typo(s) and the like (closes: #300023).
  * New uploaders.

 -- Ernesto Nadir Crespo Avila <ecrespo@debianvenezuela.org>  Sat, 03 Sep 2005 20:25:25 -0400

nitpic (0.1-9) unstable; urgency=low

  * New maintainer (closes: #227784).
  * Fixed "FTBFS with gcc-3.4: default arguments are only permitted for function parameters"
    (closes: #287809, #263265). Patch by Andreas Jochens <aj@andaco.de>

 -- Ernesto Nadir Crespo Avila <ecrespo@debianvenezuela.org>  Sun, 02 Jan 2005 23:28:09 -0400
   

nitpic (0.1-8.4) unstable; urgency=low

  * Uploading with maintainer set to QA group
  * Applied Colin Watson's patch to fix segfaulting with no arguments (closes:
    #186917)
  * Removed debian/postinst because all it did was create /usr/doc link

 -- Andrew Pollock <apollock@debian.org>  Sun, 15 Feb 2004 16:52:25 +1100

nitpic (0.1-8.3) unstable; urgency=low

  * Non-maintainer upload.
  * Imakefile: Use ComplexCplusplusProgramTarget() so that we correctly link
    with g++ rather than gcc (closes: #127162).

