=== debian/control ===
Source: nitpic
Section: electronics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               binutils-dev,
               libiberty-dev,
               libsframe-dev,
               libx11-dev,
               libxaw7-dev,
               libxt-dev,
               libzstd-dev,
               xutils-dev,
               zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/nitpic
Vcs-Git: https://salsa.debian.org/debian/nitpic.git
Homepage: http://www.gnupic.dds.nl/simulators_dave_madden.html

Package: nitpic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simulator for the Microchip PIC16C84 microcontroller
 Nitpic is an X-based simulator for the Microchip PIC family of
 microcontrollers.  It currently supports only the PIC16C84.
 This is beta software.
