=== debian/rules ===
#! /usr/bin/make -f

package = nitpic

%:
	dh $@

override_dh_auto_configure:
	xmkmf

override_dh_auto_build:
	$(MAKE) CCOPTIONS="-ffile-prefix-map=$(CURDIR)=."

override_dh_auto_clean:
	dh_auto_clean
	$(RM) Makefile
	find . -name \*~ -print0 | xargs -0 $(RM)

override_dh_install:
	dh_install
	find debian/$(package) -newermt "@$$SOURCE_DATE_EPOCH" -print0 | \
		xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
